Subject: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Dmitry Gutov <[email-masked]>
Date: Sat, 12 Dec 2020 23:25:38 +0200

On 12.12.2020 16:28, Philipp Stephani wrote:
>> So this difference in keywords serialization was by design?
>>
>> ELISP> (json-serialize '(:a 1 :b 2))
>> "{\"a\":1,\"b\":2}"
>> ELISP> (json-serialize '((:a . 1) (:b . 2)))
>> "{\":a\":1,\":b\":2}"
> I can't answer that. When I wrote json.c, I had it only support
> hashtables, and list support is a later addition.

Perhaps we could agree that there _are_ some things that can be fixed in 
json.c's behavior, then?

And use json.el's behavior in those situations as example.